'use strict';

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _serveFavicon = require('serve-favicon');

var _serveFavicon2 = _interopRequireDefault(_serveFavicon);

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

var _morgan = require('morgan');

var _morgan2 = _interopRequireDefault(_morgan);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackDevServer = require('webpack-dev-server');

var _webpackDevServer2 = _interopRequireDefault(_webpackDevServer);

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _index = require('./routes/index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// HTTP REQUEST LOGGER
var app = (0, _express2.default)();

/* express middleware */

var port = process.env.PORT || 3000;
var devPort = 3001;

if (process.env.NODE_ENV === 'development') {
  console.log('Server is running on development mode!!');
  var config = require('../webpack.config');
  var compiler = (0, _webpack2.default)(config);
  var devServer = new _webpackDevServer2.default(compiler, config.devServer);
  devServer.listen(devPort, function () {
    console.log('webpack-dev-server is listening on port', devPort);
  });
}

/* express server setting */
app.use((0, _morgan2.default)('dev'));
app.use(_bodyParser2.default.json());
app.use('/', _express2.default.static(_path2.default.join(__dirname, './../dist')));
app.use((0, _serveFavicon2.default)(_path2.default.join(__dirname, './../assets/favicon.ico')));
app.use('/assets', _express2.default.static(_path2.default.join(__dirname, './../assets')));

/* db connection */
_mongoose2.default.connect('mongodb://localhost:27017/posts');

/* routes use */
app.use('/api', _index2.default);

app.get('*', function (req, res) {
  res.sendFile(_path2.default.resolve(__dirname, './../dist/index.html'));
});

app.listen(port, function () {
  console.log('Express is listening to port ' + port);
});